SUSE SLED15 / SLES15 Security Update : keylime (SUSE-SU-2022:4204-1)

medium Nessus Plugin ID 168165

Language:

Synopsis

The remote SUSE host is missing a security update.

Description

The remote SUSE Linux SLED15 / SLES15 host has packages installed that are affected by a vulnerability as referenced in the SUSE-SU-2022:4204-1 advisory.

- A vulnerability was found in keylime. This security issue happens in some circumstances, due to some improperly handled exceptions, there exists the possibility that a rogue agent could create errors on the verifier that stopped attestation attempts for that host leaving it in an attested state but not verifying that anymore. (CVE-2022-3500)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://bugzilla.suse.com/1204782

http://www.nessus.org/u?c75e95bf

https://www.suse.com/security/cve/CVE-2022-3500

Plugin Details

Severity: Medium

ID: 168165

File Name: suse_SU-2022-4204-1.nasl

Version: 1.4

Type: local

Agent: unix

Published: 11/24/2022

Updated: 11/30/2022

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 5.1

CVSS v2

Risk Factor: Medium

Base Score: 4

Temporal Score: 3

Vector: AV:L/AC:H/Au:N/C:N/I:N/A:C

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2022-3500

CVSS v3

Risk Factor: Medium

Base Score: 5.1

Temporal Score: 4.5

Vector: CVSS:3.0/AV:L/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:keylime-agent, p-cpe:/a:novell:suse_linux:keylime-config, p-cpe:/a:novell:suse_linux:keylime-firewalld, p-cpe:/a:novell:suse_linux:keylime-logrotate, p-cpe:/a:novell:suse_linux:keylime-registrar, p-cpe:/a:novell:suse_linux:keylime-tpm_cert_store, p-cpe:/a:novell:suse_linux:keylime-verifier, p-cpe:/a:novell:suse_linux:python3-keylime, cpe:/o:novell:suse_linux:15

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 11/23/2022

Vulnerability Publication Date: 11/15/2022

Reference Information

CVE: CVE-2022-3500

SuSE: SUSE-SU-2022:4204-1